Page MenuHomePhabricator

MVP for User Talk pages: As an app editor I need to be able to see my User Talk page to get feedback on my edits and communicate with other editors
Closed, ResolvedPublic

Description

Why are we doing this?

As we encourage more users to edit and create accounts to edit from within the iOS app, we need a way for users to be able to view their User Talk pages in order to receive feedback from and communicate with other editors

User story

As an app editor I need to be able to see my User Talk page to get feedback on my edits and communicate with other editors

Design doc and audit of existing

https://docs.google.com/presentation/d/1E5xrCbX5eTfXY2K0i_uHU5cS8s42aci15sGkEok_wMA/edit?usp=sharing

Suggested features

  • Build off of the ‘Default’ talk pages on mobile web instead of building something completely new
  • Tabbed views for easy navigation between article and talk views
  • No auto signing so that users can choose when and how to sign their posts
  • Support ability to access Wiki view either through a web link or a separate view

User Flows

Viewing your own Talk page


Viewing another user's Talk page


Designs

InVision prototype

https://wikimedia.invisionapp.com/share/F3RHFZT7U48

Navigating to User Talk from Settings

SettingsSettings > AccountSettings > Account > User talk
https://zpl.io/beAw4dmhttps://zpl.io/bA7mv98https://zpl.io/2EgdWPn

Discussions and replies

Creating a new discussion on another user's Talk page

Viewing another user's talk pageNew discussionNew discussion keyboard upNew discussion - CompleteNew discussion publishedViewing new discussion
https://zpl.io/adzRNpehttps://zpl.io/Vx0nwLEhttps://zpl.io/aNmEzPNhttps://zpl.io/bPxrgPyhttps://zpl.io/aBRwWBehttps://zpl.io/bWNQdNK

Searching for a Talk page

Search for talk pageTalk page from search
https://zpl.io/2yq1WqJhttps://zpl.io/awJyOJJ

User Talk toolbar

Questions

  • Could we support a way to reply directly to a specific comment?
  • Could we support a way to show when there is new activity on a discussion?

Related Objects

StatusAssignedTask
ResolvedJMinor
Opencmadeo
Resolved NHarateh_WMF
OpenNone
ResolvedJMinor
ResolvedMSantos
DeclinedPchelolo
ResolvedMholloway
OpenTsevener
ResolvedTsevener
OpenNone
ResolvedTsevener
OpenJMinor
OpenJMinor
OpenNone
Resolved NHarateh_WMF
ResolvedTsevener
ResolvedTsevener
OpenTsevener
ResolvedTsevener
ResolvedTsevener
Resolved NHarateh_WMF
ResolvedTsevener
ResolvedTsevener
Resolved NHarateh_WMF

Event Timeline

JMinor created this task.Feb 12 2019, 5:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 5:15 PM
JMinor triaged this task as Medium priority.Feb 26 2019, 5:29 PM
cmadeo renamed this task from As an app editor I need to be able to see my user talk page to get feedback on my edits and communicate with other editors to MVP for User Talk pages: As an app editor I need to be able to see my User Talk page to get feedback on my edits and communicate with other editors.Mar 11 2019, 3:16 PM
cmadeo claimed this task.
cmadeo updated the task description. (Show Details)
cmadeo updated the task description. (Show Details)
cmadeo added a subscriber: cmadeo.
cmadeo updated the task description. (Show Details)Mar 13 2019, 5:37 PM
cmadeo updated the task description. (Show Details)Mar 25 2019, 3:43 PM
cmadeo updated the task description. (Show Details)
JMinor added a comment.Apr 4 2019, 7:49 PM

MediaWiki has flow on for user:talk, does that mean we need to support flow? Ideally not, but then what do we on these pages?

cmadeo added a comment.Apr 5 2019, 4:52 PM

@JMinor could we still show a web view for these?

cmadeo updated the task description. (Show Details)Apr 10 2019, 8:39 PM
cmadeo updated the task description. (Show Details)Apr 10 2019, 8:46 PM

Moved into blocked or waiting as I will be reviewing these v1 designs tomorrow at design review

cmadeo updated the task description. (Show Details)Apr 11 2019, 3:47 PM
LGoto removed cmadeo as the assignee of this task.Apr 16 2019, 6:39 PM
cmadeo updated the task description. (Show Details)Apr 30 2019, 8:07 PM
cmadeo added a comment.May 2 2019, 8:15 PM

Per our sync meeting, when the user taps on 'View in Safari' we'll probably want to show them the 'View as Wikipage' view rather than the 'mobile web default user talk' view. Additionally as @Tsevener pointed out, we'll want to refresh the page after they return back to Talk in the app, just in case they made a change while in Safari

Hi @Tsevener! Thanks for all of the amazing work so far on User Talk, this is so exciting!
So far here are a few tweaks and updates I've collected for this ongoing work:

LocationZeplin ScreenDetailsSuggested update
Settings > Accounthttps://zpl.io/bA7mv98Partial HR missing from between elements, realizing that this is missing from all of our Settings list items 🙀 so I can also just file a new ticket for this if necessaryUpdate cell items that have icons (eg. settings cell items) to have a partial HR
Settings > Accounthttps://zpl.io/bA7mv98When you tap on a cell item and then go back (eg. abort logging out) the cell item appears to be in a selected stateDo not maintain state for cell items
User Talkhttps://zpl.io/awJyOJJNew discussion icon + is greyed out even when action can be takenSet icon to active (blue) when action can be taken
User Talkhttps://zpl.io/awJyOJJHR appearing under nav barremove HR (similar to the header in Reading lists)
User Talkhttps://zpl.io/awJyOJJHeader spacingWe can reuse the header spacing from Reading list view, although we might want to make some very small height tweaks to both later to add some breathing room
Discussionhttps://zpl.io/V4eEzQNHR appearing under nav barremove HR (similar to the header in Reading lists)
Discussionhttps://zpl.io/V4eEzQNDiscussion titleAfter update of the title on the User Talk page, the Discussion titles should also be updated
Discussion Replyhttps://zpl.io/a310RelPublish button looks inactive after entering textUpdate publish button to blue when active
Discussion Replyhttps://zpl.io/a310RelDivs appear to be expanding vs. scrolling to revealWould it be possible to have everything except for the keyboard and the 'be kind' reminder sit on the same level similar to the 'Save changes' page in the editing flow? This way users can scroll through vs. having areas expand as they move up and down? This might not be the best solution, but just curious to see how this would feel instead if this isn't crazy to implement. This is def. not a priority or a blocker!
New reply publishedhttps://zpl.io/VQvMQBnThe new reply takes a long time to load and the confirmation appears before the new replyHoping that the loading states will help with this, but we'll still want to hold off on showing the confirmation before we show the new reply
New reply publishedhttps://zpl.io/VQvMQBnConfirmation appears to be floating above the bottom of the screenEnsure that the confirmation appears flush to the bottom of the screen
New Discussionhttps://zpl.io/aBRwWBeNew discussions don't appear to post to new user talk pagesCan we both post and 'create' the talk page? If not we'll need to rethink the empty state and set the 'new discussion' button to inactive.
Tsevener added a comment.EditedMay 21 2019, 4:54 PM

@cmadeo

Partial HR missing from between elements, realizing that this is missing from all of our Settings list items 🙀 so I can also just file a new ticket for this if necessary

Got it, yeah I think a separate ticket would be better for this, then hopefully that fix will cleanly propagate to the Account screen. Thanks!

After update of the title on the User Talk page, the Discussion titles should also be updated

Just curious were you updating this via the web? Yeah once we have the share option in I'll add a refresh when they return, hopefully that'll get that part sorted out.

Would it be possible to have everything except for the keyboard and the 'be kind' reminder sit on the same level similar to the 'Save changes' page in the editing flow?

Yeah, agreed, I would like to fix the way it's working now, I had trouble with it because the text view is so large. Oftentimes it would scroll out of view when accounting for the keyboard offset so what I have now is it attempting to resize to the visible area (but it causes a lot of UI quirks seems like). The "Save changes" example will be helpful for reference, thanks!

Can we both post and 'create' the talk page?

Good question, I'll look into this.

@cmadeo

Partial HR missing from between elements, realizing that this is missing from all of our Settings list items 🙀 so I can also just file a new ticket for this if necessary

Got it, yeah I think a separate ticket would be better for this, then hopefully that fix will cleanly propagate to the Account screen. Thanks!

Can do!

After update of the title on the User Talk page, the Discussion titles should also be updated

Just curious were you updating this via the web? Yeah once we have the share option in I'll add a refresh when they return, hopefully that'll get that part sorted out.

Ah, sorry this was just a note that this should be consistent and both will need to be larger. They're consistent right now. My apologies for the confusion.

Would it be possible to have everything except for the keyboard and the 'be kind' reminder sit on the same level similar to the 'Save changes' page in the editing flow?

Yeah, agreed, I would like to fix the way it's working now, I had trouble with it because the text view is so large. Oftentimes it would scroll out of view when accounting for the keyboard offset so what I have now is it attempting to resize to the visible area (but it causes a lot of UI quirks seems like). The "Save changes" example will be helpful for reference, thanks!

Cool, also this is really just a curiosity / nice to have but not necessary.

Can we both post and 'create' the talk page?

Good question, I'll look into this.

Hey @Tsevener and @cmadeo per our meeting I am splitting out the priority items from this list as a separate subtask for easier priority/tracking.

Additional note - we also need the discussion title to become the title in the navigation bar as you scroll down on the reply list screen and same for the username on the discussion list screen.

@JMinor here's some screenshots of RTL handling on talk pages, let me know if this looks right to you. Currently if it is an RTL talk page language I am aligning text to the right but keeping navigation elements (i.e. topic cell arrow positioning, unread indicator positioning) based on device settings. Topic and reply compose elements are only based on device settings.

Thanks @Tsevener for all of the amazing work on this! I'm so excited for this feature!
I know things are still in progress, but I had some design tweaks and feedback. Let me know if you want any of these broken out into its own ticket.

I'm also still noticing that replies are being attached to the message above the intended message when auto signing is turned off and for messages for an account after auto signing has been toggled off and then on again.


ScreenshotTweak or bugAdditional information
Background color not full bleed on 'Please be kind' toast on iPhone XWould it be possible to extend the background color of the 'Please be kind' message to the bottom of the screen on iPhone X when the keyboard is down?
Back disappears from back button on header after scrolling on longer messagesIt looks like once the 'Back' text is replaced with the message title text, the 'back' text disappears when the title text is dismissed
Navigating to a user talk page from history opens in the article mode
Unable to scroll on messages with very long titlesOn messages that have titles that are longer than the screen height it is not possible to scroll down to see the rest of the title or the message itself
Scroll issue on iPhone X when a user has 11 messagesWhen a user has 11 messages on their talk page, it is not possible to fully scroll down to the bottom of the list on an iPhone X, works fine when they have 12+ or fewer than 10

Back disappears from back button on header after scrolling on longer messages

Discussed with @cmadeo and decided not to fix this one. System navigation bar handles it this way by default and I don't think it'll be possible to fix without some custom work. Also this is reproducible with long reading list titles in the reading list detail screen.

ABorbaWMF added a subscriber: ABorbaWMF.

This looks good on 6.3.0 (1642) with the exception of the talk pages toolbar, which is still missing the Save and Text size icons (T222724)

JMinor removed Tsevener as the assignee of this task.Jul 8 2019, 5:21 PM
JMinor raised the priority of this task from Medium to High.
JMinor added a subscriber: Tsevener.
JMinor added a subscriber: Mhurd.Jul 10 2019, 3:59 PM

Excellent work all. A small step for talk pages, a giant leap for iOS editors! Thanks @cmadeo @Tsevener and @Mhurd for the great team effort!!!

JMinor closed this task as Resolved.Jul 10 2019, 3:59 PM
JMinor claimed this task.
JMinor awarded a token.